# This file created by conda-build 3.21.7
# meta.yaml template originally from:
# /home/ktietz/src/aggregate/proj.4-5.2.0-feedstock/recipe, last modified Tue Feb  1 13:46:09 2022
# ------------------------------------------------

package:
  name: proj4
  version: 5.2.0
source:
  - sha256: ef919499ffbc62a4aae2659a55e2b25ff09cccbbe230656ba71c6224056c7e60
    url: http://download.osgeo.org/proj/proj-5.2.0.tar.gz
  - folder: nad
    sha256: ffcad4453fac3b4a13ca678ef343e688496e18019f35709ef03c5f200e9fb85a
    url: http://download.osgeo.org/proj/proj-datumgrid-1.7.zip
build:
  number: '1001'
  run_exports:
    - proj4 >=5.2.0,<5.2.1.0a0
  string: h22f4aa5_1001
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.36.1 h0d3074b_3
    - binutils_linux-aarch64 2.36.1 h1234567_41
    - gcc_impl_linux-aarch64 10.2.0 h1234567_51
    - gcc_linux-aarch64 10.2.0 h1234567_41
    - gxx_impl_linux-aarch64 10.2.0 h1234567_51
    - gxx_linux-aarch64 10.2.0 h1234567_41
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.36.1 h0ab8de2_3
    - libgcc-devel_linux-aarch64 10.2.0 h1234567_51
    - libgcc-ng 10.2.0 h1234567_51
    - libgomp 10.2.0 h1234567_51
    - libstdcxx-devel_linux-aarch64 10.2.0 h1234567_51
    - libstdcxx-ng 10.2.0 h1234567_51
    - libtool 2.4.6 h7c1a80f_1007
    - sysroot_linux-aarch64 2.26 h4744778_14
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - libgcc-ng 10.2.0 h1234567_51
    - libgomp 10.2.0 h1234567_51
    - libstdcxx-ng 10.2.0 h1234567_51
  run:
    - libgcc-ng >=10.2.0
    - libstdcxx-ng >=10.2.0
test:
  commands:
    - test -f $PREFIX/share/proj/conus
    - echo -105 40 | proj +proj=utm +zone=13 +ellps=WGS84
    - echo -117 30 | cs2cs +proj=latlong +datum=NAD27 +to +proj=latlong +datum=NAD83
    - echo -105 40 | cs2cs +init=epsg:4326 +to +init=epsg:2975
    - conda inspect linkages -p $PREFIX $PKG_NAME
about:
  home: https://proj4.org/
  license: MIT
  license_file: COPYING
  summary: Cartographic projection software.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - msarahan
    - ocefpaf
    - pelson
